@import url("configure.css");

.blue-accent {
  color: var(--Primary-100, #1074EF);
}

.reg-btn {
  color: var(--Gray-0, #FFF);
  font-size: 18px;
  font-weight: 800;
  line-height: 100%;
  text-transform: uppercase;
  border-radius: 8px;
  background: var(--Primary-100, #1074EF);
  padding: 12px;
  width: 100%;
  max-width: 390px;
  text-align: center;
  -webkit-transition: scale 0.3s ease;
  transition: scale 0.3s ease;
  cursor: pointer;
}

.reg-btn:hover {
  scale: 1.03;
}

.reg-btn:active {
  scale: 0.97;
}

.intro {
  padding: 40px 0;
}

.intro-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 40px;
}

.intro-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 24px;
}

.intro-text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 14px;
  color: var(--Gray-100, #121212);
  font-size: 18px;
  font-weight: 700;
  line-height: 150%;
}

.intro-title {
  color: var(--Gray-100, #121212);
  font-size: 44px;
  font-weight: 900;
  line-height: 120%;
}

.intro-img {
  max-width: 500px;
}

.slider {
  padding: 40px 0;
}

.slider-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 24px;
}

.slider-text {
  border-radius: 2000px;
  border: 1px solid var(--Primary-100, #1074EF);
  background: #E5F1FD;
  padding: 20px;
  width: 100%;
  max-width: 390px;
  color: var(--Primary-100, #1074EF);
  font-size: 42px;
  font-weight: 900;
  line-height: 120%;
  /* 52.8px */
  text-align: center;
  text-wrap: nowrap;
}

.slider-subtitle {
  color: var(--Gray-90, #1F2022);
  text-align: center;
  font-size: 18px;
  font-weight: 400;
  line-height: 150%;
  /* 27px */
  padding-top: 40px;
}

.slider-container {
  width: 100%;
  margin: 0 auto;
  position: relative;
}

.slider-input {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 100%;
  height: 2px;
  background: #1074EF;
  outline: none;
  position: relative;
}

.slider-input::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: #1074EF;
  cursor: pointer;
}

.slider-input::-moz-range-thumb {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background: #1074EF;
  cursor: pointer;
}

.slider-labels {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 0 8px;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  pointer-events: none;
}

.slider-label {
  height: 25px;
  width: 2px;
  background: #1074EF;
  position: relative;
}

.slider-label::before {
  content: attr(data-label);
  position: absolute;
  top: 40px;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  color: var(--Gray-70, #999A9B);
  font-size: 16px;
}

.about {
  padding: 40px 0;
}

.about-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 40px;
}

.about-title {
  color: var(--Gray-100, #121212);
  font-size: 32px;
  font-weight: 900;
  line-height: 120%;
}

.about-wrapper {
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  gap: 16px;
}

.about-item {
  border-radius: 24px;
  border: 1px solid var(--Primary-100, #1074EF);
  background: #F4FAFE;
  padding: 24px 16px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  width: 100%;
  max-width: 340px;
  gap: 5px;
}

.about-item p {
  color: #03065F;
  text-align: center;
  font-size: 18px;
  font-weight: 700;
  line-height: 150%;
}

.register {
  padding: 40px 0;
}

.register-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 24px;
}

.register-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 32px;
}

.register-title {
  color: var(--Gray-100, #121212);
  font-size: 32px;
  font-weight: 900;
  line-height: 120%;
  /* 38.4px */
}

.register-list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 32px;
  counter-reset: section;
}

.register-list-item {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  gap: 4px;
}

.register-list-item h2 {
  color: var(--Primary-100, #1074EF);
  font-size: 18px;
  font-weight: 700;
  line-height: 150%;
  padding-left: 20px;
  position: relative;
}

.register-list-item h2::before {
  counter-increment: section;
  content: counter(section) ". ";
  position: absolute;
  left: -20px;
  color: #1074EF;
  padding-left: 20px;
}

.register-list-item p {
  color: var(--Gray-100, #121212);
  font-size: 16px;
  font-weight: 400;
  line-height: 150%;
  /* 24px */
}

.register-video {
  width: 100%;
  max-width: 490px;
}

#registerVideo {
  width: 100%;
  max-width: 490px;
}

.no-scroll {
  overflow: hidden;
}

.shade {
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.6);
  display: grid;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
  overflow-y: auto;
}

.lead-form {
  position: fixed;
  top: 0;
  left: 0;
  opacity: 0;
  pointer-events: none;
  -webkit-transition: opacity 0.4s ease;
  transition: opacity 0.4s ease;
  overflow-y: auto;
}

.lead-form.open {
  opacity: 1;
  pointer-events: auto;
}

.lead-form-content {
  margin: 20px;
  border-radius: 12px;
  background: var(--Gray-0, #FFF);
  padding: 24px 16px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  max-width: 590px;
  gap: 16px;
}

.lead-form-text {
  text-align: center;
  font-size: 16px;
  font-weight: 400;
  line-height: 150%;
  /* 24px */
}

.lead-form-text-title {
  color: var(--Gray-90, #1F2022);
  font-size: 24px;
  font-weight: 900;
  line-height: 140%;
}

.lead-form-text-wrapper {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 5px;
}

.first-wrapper,
.second-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

@media (min-width: 768px) {
  .intro-img {
    min-width: 40%;
  }

  .intro-content {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
  }

  .register-content {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -ms-flex-direction: row;
    flex-direction: row;
  }

  .register-video {
    min-width: 50%;
  }
}